Remotehost Docs

Return an add-on to the organization's default

DELETE
/orgs/{orgId}/addons/{listingId}/policy

Removes the org's allow or forbid: the listing is then allowed, unless it is a community listing and the org has not opted in. Needs integrations.manage. Audited.

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

orgId*string
listingId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/orgs/string/addons/string/policy"
{  "addon": {    "id": "string",    "slug": "skill/code-review",    "kind": "app",    "name": "string",    "summary": "string",    "publisher": "string",    "provenance": "first_party",    "status": "listed",    "attachLevels": [      "org"    ],    "pricing": "free",    "iconUrl": "string",    "held": true,    "holding": "held_free",    "policy": {      "setting": "allow",      "allowed": true    }  }}